Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dataobject
Class ModuleDO

    java.lang.Object
      java.util.Observable
          org.wso2.wsas.persistence.dataobject.AbstractDataObject
              org.wso2.wsas.persistence.dataobject.ModuleDO

    public class ModuleDO

extends AbstractDataObject

Data object representing an Axis2 module in WSO2 WSAS

Constructor Summary
`ModuleDO()`

Method Summary
`void` | `addOperation(OperationDO operation)`
`void` | `addParameter(ModuleParameterDO moduleParameter)`
`void` | `addPolicy(ModulePolicyDO modulePolicy)`
`void` | `addService(ServiceDO service)`
`void` | `addServiceGroup(ServiceGroupDO serviceGroup)`
`boolean` | `equals(java.lang.Object o)`
`java.util.Set` | `getEngagedOperations()`
`java.util.Set` | `getEngagedServiceGroups()`
`java.util.Set` | `getEngagedServices()`
`boolean` | `getIsGloballyEngaged()`
`ModuleIdentifierDO` | `getModuleIdentifierDO()`
`java.util.Set` | `getParameters()`
`java.util.Set` | `getPolicies()`
`java.util.Set` | `getSecurityScenarios()`
`int` | `hashCode()`
`protected void` | `setEngagedOperations(java.util.Set engagedOperations)`
`protected void` | `setEngagedServiceGroups(java.util.Set engagedServiceGroups)`
`protected void` | `setEngagedServices(java.util.Set engagedServices)`
`void` | `setIsGloballyEngaged(boolean globallyEngaged)`
`void` | `setModuleIdentifierDO(ModuleIdentifierDO moduleIdentifierDO)`
`protected void` | `setParameters(java.util.Set parameters)`
`void` | `setPolicies(java.util.Set policies)`
`void` | `setSecurityScenarios(java.util.Set securityScenarios)`

Methods inherited from class org.wso2.wsas.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, notifyObservers, setId, setLastUpdatedTime`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleDO

    public ModuleDO()

Method Detail

### getModuleIdentifierDO

    public ModuleIdentifierDO getModuleIdentifierDO()

### setModuleIdentifierDO

    public void setModuleIdentifierDO(ModuleIdentifierDO moduleIdentifierDO)

### getEngagedOperations

    public java.util.Set getEngagedOperations()

### setEngagedOperations

    protected void setEngagedOperations(java.util.Set engagedOperations)

### getEngagedServices

    public java.util.Set getEngagedServices()

### setEngagedServices

    protected void setEngagedServices(java.util.Set engagedServices)

### getEngagedServiceGroups

    public java.util.Set getEngagedServiceGroups()

### setEngagedServiceGroups

    protected void setEngagedServiceGroups(java.util.Set engagedServiceGroups)

### getParameters

    public java.util.Set getParameters()

### setParameters

    protected void setParameters(java.util.Set parameters)

### getPolicies

    public java.util.Set getPolicies()

### setPolicies

    public void setPolicies(java.util.Set policies)

### getSecurityScenarios

    public java.util.Set getSecurityScenarios()

### setSecurityScenarios

    public void setSecurityScenarios(java.util.Set securityScenarios)

### addOperation

    public void addOperation(OperationDO operation)

### addService

    public void addService(ServiceDO service)

### addServiceGroup

    public void addServiceGroup(ServiceGroupDO serviceGroup)

### addParameter

    public void addParameter(ModuleParameterDO moduleParameter)

### addPolicy

    public void addPolicy(ModulePolicyDO modulePolicy)

### getIsGloballyEngaged

    public boolean getIsGloballyEngaged()

### setIsGloballyEngaged

    public void setIsGloballyEngaged(boolean globallyEngaged)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD